# https://pypi.python.org/packages/84/71/c8ca4f5bb1e08401b916c68003acf0a0655df935d74d93bf3f3364b310e0/backcall-0.1.0.tar.gz
# https://raw.githubusercontent.com/takluyver/backcall/master/LICENSE
%global module backcall

Name:           python-%{module}
Version:        0.1.0
Release:        %mkrel 2
Summary:        Specifications for callback functions passed in to an API

License:        BSD 3-Clause
Group:          Development/Python
URL:            https://pypi.python.org/pypi/backcall/0.1.0
Source0:        %{module}-%{version}.tar.xz
Source1:        LICENSE

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
%{summary}.

%package -n python3-%{module}
Summary:        %{summary}.
Group:          Development/Python

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{module}-%{version}
cp %{S:1} .
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python_sitelib}

%files
%doc LICENSE PKG-INFO README.rst
%{python_sitelib}/*

%files -n python3-%{module}
%doc LICENSE PKG-INFO README.rst
%{python3_sitelib}/*

%changelog
* Mon Aug 22 2022 tex - 0.1.0-2pclos2022
- rebuild against updates

* Sat Apr 07 2018 marcin82 <fixxer1982 at gmail.com> 0.1.0-1pclos2018
- initial build for PCLinuxOS
